local AddName, Ns = ...
local L = Ns.L

------------------------------
--		Options Equates		--
------------------------------

-- Fire
function Ns.FunctionList.FireResist(HUD, data, options, ...)

	local bonus = select(3, UnitResistance("player",2))
	local buffColor = ""
	local returnText

	if options.Color_Effect and bonus > 0 then buffColor = Ns.greenText end

	returnText = buffColor .. bonus

	if returnText == nil then returnText = "" end

	HUD:UpdateText(data, returnText)
end
------------------------------------------------

-- Nature
function Ns.FunctionList.NatureResist(HUD, data, options, ...)

	local bonus = select(3, UnitResistance("player",3))
	local buffColor = ""
	local returnText

	if options.Color_Effect and bonus > 0 then buffColor = Ns.greenText end

	returnText = buffColor .. bonus

	if returnText == nil then returnText = "" end

	HUD:UpdateText(data, returnText)
end
------------------------------------------------

-- Frost
function Ns.FunctionList.FrostResist(HUD, data, options, ...)

	local bonus = select(3, UnitResistance("player",4))
	local buffColor = ""
	local returnText

	if options.Color_Effect and bonus > 0 then buffColor = Ns.greenText end

	returnText = buffColor .. bonus

	if returnText == nil then returnText = "" end

	HUD:UpdateText(data, returnText)
end
------------------------------------------------

-- Shadow
function Ns.FunctionList.ShadowResist(HUD, data, options, ...)

	local bonus = select(3, UnitResistance("player",5))
	local buffColor = ""
	local returnText

	if options.Color_Effect and bonus > 0 then buffColor = Ns.greenText end

	returnText = buffColor .. bonus

	if returnText == nil then returnText = "" end

	HUD:UpdateText(data, returnText)
end
------------------------------------------------

-- Arcane
function Ns.FunctionList.ArcaneResist(HUD, data, options, ...)

	local bonus = select(3, UnitResistance("player",6))
	local buffColor = ""
	local returnText

	if options.Color_Effect and bonus > 0 then buffColor = Ns.greenText end

	returnText = buffColor .. bonus

	if returnText == nil then returnText = "" end

	HUD:UpdateText(data, returnText)
end
------------------------------------------------